org.apache.sling.jcr.jackrabbit.server.impl

## Class AccessManagerFactoryTracker

- java.lang.Object
- - org.osgi.util.tracker.ServiceTracker
  - - org.apache.sling.jcr.jackrabbit.server.impl.AccessManagerFactoryTracker

All Implemented Interfaces:
  org.osgi.util.tracker.ServiceTrackerCustomizer

    public class AccessManagerFactoryTracker
    extends org.osgi.util.tracker.ServiceTracker

Tracks the existence of an `AccessManagerPluginFactory`.

### Field Summary

### Fields inherited from class org.osgi.util.tracker.ServiceTracker

`context, filter`

### Constructor Summary

Constructors
Constructor and Description
`AccessManagerFactoryTracker(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

Methods
`Object` `addingService(org.osgi.framework.ServiceReference serviceReference)`
`AccessManagerPluginFactory` `getFactory(PluggableDefaultAccessManager consumer)`
`void` `modifiedService(org.osgi.framework.ServiceReference serviceReference, Object o)`
`void` `removedService(org.osgi.framework.ServiceReference serviceReference, Object o)`
`void` `unregister(PluggableDefaultAccessManager consumer)`

### Methods inherited from class org.osgi.util.tracker.ServiceTracker

`close, getService, getService, getServiceReference, getServiceReferences, getServices, getTrackingCount, open, open, remove, size, waitForService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessManagerFactoryTracker

    public AccessManagerFactoryTracker(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### addingService

    public Object addingService(org.osgi.framework.ServiceReference serviceReference)

Specified by:
  `addingService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`
Overrides:
  `addingService` in class `org.osgi.util.tracker.ServiceTracker`

#### removedService

    public void removedService(org.osgi.framework.ServiceReference serviceReference,
                      Object o)

Specified by:
  `removedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`
Overrides:
  `removedService` in class `org.osgi.util.tracker.ServiceTracker`

#### modifiedService

    public void modifiedService(org.osgi.framework.ServiceReference serviceReference,
                       Object o)

Specified by:
  `modifiedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`
Overrides:
  `modifiedService` in class `org.osgi.util.tracker.ServiceTracker`

#### getFactory

    public AccessManagerPluginFactory getFactory(PluggableDefaultAccessManager consumer)

#### unregister

    public void unregister(PluggableDefaultAccessManager consumer)